import QtQuick 2.3
import QtQuick.Window 2.2

Window {
    visible: true
    width: 360
    height: 360

    ShaderEffect {
        anchors.fill: parent

        property variant source

        fragmentShader: "#extension GL_OES_standard_derivatives: enable
        precision highp float;
        varying highp vec2 qt_TexCoord0;
        uniform lowp sampler2D source;
        void main() {
            gl_FragColor = vec4(qt_TexCoord0.x, qt_TexCoord0.y, 0.0, 1.0);
        }"
    }
}
